Atlassian Bitbucket 6.5.x < 6.5.2 Command Injection Vulnerability

critical Web Application Scanning Plugin ID 98733

Language:

Synopsis

Atlassian Bitbucket 6.5.x < 6.5.2 Command Injection Vulnerability

Description

According to its self-reported version number, the Atlassian Bitbucket application running on the remote host is prior to 5.16.10, 6.0.x prior to 6.0.10, 6.1.x prior to 6.1.8, 6.2.x prior to 6.2.6, 6.3.x prior to 6.3.5, 6.4.x prior to 6.4.3 or 6.5.x prior to 6.5.2. It is, therefore, affected by a command injection vulnerability. A remote attacker can exploit this to gain remote code execution.

Note that the scanner has not tested for these issues but has instead relied only on the application's self-reported version number.

Solution

Upgrade to Atlassian Bitbucket version 6.5.2 or later.

See Also

https://confluence.atlassian.com/bitbucketserver/bitbucket-server-security-advisory-2019-09-18-976762635.html

Plugin Details

Severity: Critical

ID: 98733

Type: remote

Published: 10/11/2019

Updated: 10/7/2021

Scan Template: pci, api, scan

Risk Information

VPR

Risk Factor: Medium

Score: 5.9

CVSS v2

Risk Factor: Medium

Base Score: 6.8

Vector: CVSS2#AV:N/AC:M/Au:N/C:P/I:P/A:P

CVSS Score Source: CVE-2019-15000

CVSS v3

Risk Factor: Critical

Base Score: 9.8

Vector: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

CVSS Score Source: CVE-2019-15000

Vulnerability Information

CPE: cpe:2.3:a:atlassian:bitbucket:*:*:*:*:*:*:*:*

Exploit Ease: No known exploits are available

Patch Publication Date: 9/19/2019

Vulnerability Publication Date: 9/19/2019

Reference Information

CVE: CVE-2019-15000